#import "QCContext.h"

@class QCPatch;

@interface QCPatchRuntime : NSObject
{
    QCPatch *_patch;
    QCContext *_context;
    NSMutableDictionary *_options;
    int _flags;
    unsigned int frameID;
    double frameTime;
    unsigned int patchTotalCount;
    unsigned int patchActiveCount;
    unsigned int patchTraversedCount;
    unsigned int patchExecutedCount;
    double patchExecutionTime;
    double patchRenderTime;
}

- (id)init;
- (id)initWithPatch:(id)fp8 context:(id)fp12 options:(id)fp16;
- (void)dealloc;
- (QCPatch*)patch;
- (QCContext*)context;
- (NSMutableDictionary*)options;
- (void)setOption:(id)fp8 forKey:(id)fp12;
- (int)_flags;

@end
